summaryrefslogtreecommitdiff
path: root/include
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2024-06-02 23:34:10 +0100
committerLeah Rowe <leah@libreboot.org>2024-06-02 23:34:10 +0100
commitafac9a06d2c6f18c44066321674129383e85b2ba (patch)
tree6e2adca1ae4c6402466901268caa7caecf18efa0 /include
parent1e534e7dda107085236794c124bc546f285e877a (diff)
build: print the project website address on help
Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include')
-rwxr-xr-xinclude/lib.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/include/lib.sh b/include/lib.sh
index 44ec3623..1b0f07c1 100755
--- a/include/lib.sh
+++ b/include/lib.sh
@@ -32,7 +32,7 @@ setvars()
printf "%s\n" "${_setvars% }"
}
eval "$(setvars "" xbmk_release tmpdir _nogit version board boarddir relname \
- versiondate threads projectname)"
+ versiondate threads projectname projectsite)"
# if "y": a coreboot target won't be built if target.cfg says release="n"
# (this is used to exclude certain build targets from releases)
@@ -70,6 +70,7 @@ x_() {
$err "Cannot generate unknown versiondate file"
read -r projectname < projectname || :
+read -r projectsite < projectsite || :
[ ! -f version ] || read -r version < version || :
version_="$version"
[ ! -e ".git" ] || version="$(git describe --tags HEAD 2>&1)" || \
@@ -78,7 +79,7 @@ version_="$version"
versiondate_="$versiondate"
[ ! -e ".git" ] || versiondate="$(git show --no-patch --no-notes \
--pretty='%ct' HEAD)" || versiondate="$versiondate_"
-for p in projectname version versiondate; do
+for p in projectname version versiondate projectsite; do
eval "[ -n \"\$$p\" ] || $err \"$p unset\""
eval "x_ printf \"%s\\n\" \"\$$p\" > $p"
done